import { DiagramEngine } from "../DiagramEngine";
import { ZoomAction } from "./ZoomAction";
import { MoveItemsAction } from "./MoveItemsAction";
import { BaseAction } from "./BaseAction";
import { PointModel } from "../models/PointModel";
export default class Factory {
    readonly engine: DiagramEngine;
    constructor(engine: any);
    getActionForTouchStart(event: TouchEvent): BaseAction;
    getActionForMouseDown(event: MouseEvent): BaseAction;
    getActionForMouseWheel(event: WheelEvent): ZoomAction;
    getActionForPointAdded(point: PointModel, event: MouseEvent): MoveItemsAction;
}
