import { PointType } from "../types";
import { BaseEntity } from "../BaseEntity";
import { DiagramEngine } from "../DiagramEngine";
import { DiagramModel } from "../models/DiagramModel";
import { ZoomSettingsType } from "../gears/Settings";
import { NavigateBoardActionDetails } from "../actions/NavigateBoardAction";
export default abstract class AbstractBoard extends BaseEntity {
    protected engine: DiagramEngine;
    protected canvas: Element;
    constructor(engine: DiagramEngine);
    setCanvas(canvas: Element): void;
    getCanvas(): Element;
    abstract getRelativePoint(x: any, y: any): PointType;
    abstract navigateTo(coordinates: PointType): any;
    abstract navigateOnAction(action: NavigateBoardActionDetails): any;
    abstract navigateOnZoom(zoomDifference: number, settings: ZoomSettingsType, event: MouseEvent | null): any;
    canPlaceNode(coords: PointType): boolean;
    /**
     * TODO: consider moving to node placement gear
     */
    centerNodes(): void;
    protected getModels(): DiagramModel;
}
