import AbstractBoard from "./AbstractBoard";
import { PointType } from "../types";
import { DiagramEngine } from "../DiagramEngine";
import { ZoomSettingsType } from "../gears/Settings";
import { NavigateBoardActionDetails } from "../actions/NavigateBoardAction";
declare type ScrollbarsType = {
    scrollLeft: Function;
    scrollTop: Function;
    getValues: Function;
};
export default class ScrollableBoard extends AbstractBoard {
    scrollbars: ScrollbarsType;
    setScrollbars(scrollbars: ScrollbarsType): void;
    getRelativePoint(x: any, y: any): PointType;
    navigateOnAction({ initialBoard, initialPosition, currentPosition, }: NavigateBoardActionDetails): void;
    navigateTo(coordinates: PointType): void;
    navigateOnZoom(zoomDifference: number, settings: ZoomSettingsType, event: MouseEvent | null): void;
    serialize(): any;
    deSerialize(data: any, engine: DiagramEngine): void;
    canPlaceNode(coords: any): boolean;
}
export {};
